<!-- navbar -->
<div class="navbar navbar-default navbar-static-top" role="navigation">
	<div class="container">

		<div class="navbar-header">
			<!-- to enable navigation dropdown when viewed in mobile device -->
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			</button>

			<!-- Change "Your Site" to your site name -->
			<a class="navbar-brand" href="<?php echo $home_url; ?>products">Your Site</a>
		</div>

		<div class="navbar-collapse collapse">
			<ul class="nav navbar-nav">

				<!-- highlight if $page_title has 'Products' word. -->
				<li <?php echo strpos($page_title, "Product")!==false ? "class='active dropdown'" : "class='dropdown'"; ?>>
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						Products <span class="caret"></span>
					</a>
					<ul class="dropdown-menu" role="menu">

						<!--
							highlight if $page_title has 'Products' word AND
							category name wasn't set, because it is 'all products' page.
						-->
						<li <?php echo strpos($page_title, 'Product')!==false && !isset($category_name) ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>products">All Products</a>
						</li>

						<?php
						// read all product categories
						$stmt=$category->readAll_WithoutPaging();
						$num = $stmt->rowCount();

						if($num>0){
							while($row = $stmt->fetch(PDO::FETCH_ASSOC)){

								// highlight if the currenct $category_name is the same as the current category name in the loop
								if(isset($category_name) && $category_name==$row['name']){
									echo "<li class='active'><a href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}

								// no highlight
								else{
									echo "<li><a href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}
							}
						}
						?>
					</ul>
				</li>
			</ul>

			<?php
			// check if users / customer was logged in
			// if user was logged in, show "Edit Profile", "Orders" and "Logout" options
			if(isset($_SESSION['logged_in']) && $_SESSION['logged_in']==true && $_SESSION['access_level']=='Customer'){
			?>
			<ul class="nav navbar-nav pull-right">
				<li <?php echo $page_title=="Edit Profile" || $page_title=="Orders" || $page_title=="Order Details" ? "class='active'" : ""; ?>>
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
						&nbsp;&nbsp;<?php echo $_SESSION['firstname']; ?>
						&nbsp;&nbsp;<span class="caret"></span>
					</a>
					<ul class="dropdown-menu" role="menu">
						<li <?php echo $page_title=="Edit Profile" ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>edit_profile.php">Edit Profile</a>
						</li>
						<li <?php echo $page_title=="Orders" || $page_title=="Order Details" ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>orders.php">Orders</a>
						</li>
						<li><a href="<?php echo $home_url; ?>logout.php">Logout</a></li>
					</ul>
				</li>
			</ul>
			<?php
			}

			// if user was not logged in, show the "login" and "sign up" options
			else{
			?>
			<ul class="nav navbar-nav pull-right">
				<li <?php echo $page_title=="Login" ? "class='active'" : ""; ?>>
					<a href="<?php echo $home_url; ?>login">
						<span class="glyphicon glyphicon-log-in"></span> Log In
					</a>
				</li>
			</ul>
			<?php
			}
			?>

			<form action="<?php echo $home_url; ?>search.php" class="navbar-form navbar-left pull-right" role="search">
				<div class="form-group">
					<input type="text" name="s" class="form-control" value="<?php echo isset($search_term) ? $search_term : ""; ?>" placeholder="Type product name..." required>
				</div>
				<button type="submit" class="btn btn-primary">Search</button>
			</form>

		</div><!--/.nav-collapse -->

	</div>
</div>
<!-- /navbar -->
